MAUDE(1)

NAME
Maude - A high-performance logical framework

SYNOPSIS
maude [options] [files]

DESCRIPTION
This manual page documents briefly the Maude interpreter. This manual page was written for the Debian distribution because the original program does not have a manual page.

Maude is a high-performance reflective language and system supporting both equational and rewriting logic specification and programming for a wide range of applications. Maude has been influenced in important ways by the OBJ3 language, which can be regarded as an equational logic sublanguage. Besides supporting equational specification and programming, Maude also supports rewriting logic computation.

Rewriting logic is a logic of concurrent change that can naturally deal with state and with concurrent computations. It has good properties as a general semantic framework for giving executable semantics to a wide range of languages and models of concurrency. In particular, it supports very well concurrent object-oriented computation. The same reasons making rewriting logic a good semantic framework make it also a good logical framework, that is, a metalogic in which many other logics can be naturally represented and executed.

Maude supports in a systematic and efficient way logical reflection. This makes Maude remarkably extensible and powerful, supports an extensible algebra of module composition operations, and allows many advanced metaprogramming and metalanguage applications. Indeed, some of the most interesting applications of Maude are metalanguage applications, in which Maude is used to create executable environments for different logics, theorem provers, languages, and models of computation.

--help
    display help information

--version
    Display version number

-no-prelude
    Do not read in the standard prelude

-no-banner
    Do not output banner on startup

-no-advice
    No advisories on startup

-no-mixfix
    Do not use mixfix notation for output

-no-wrap
    Do not automatic line wrapping for output

-ansi-color
    Use ANSI control sequences

-no-ansi-color
    Do not use ANSI control sequences

-tecla
    Use tecla command line editing

-no-tecla
    Do not use tecla command line editing

-batch
    Run in batch mode

-interactive
    Run in interactive mode

-random-seed=<int>
    Set seed for random number generator

-xml-log=<filename>
    Set file in which to produce an xml log

COPYRIGHT
Copyright (c) 1997-2011 SRI International, Menlo Park, CA 94025, USA.

Copyright (c) 1997 - 2002, Makoto Matsumoto and Takuji Nishimura,

Copyright (c) 2000 - 2003, Richard J. Wagner

REPORTING BUGS
Send bug reports to: maude-bugs@maude.cs.uiuc.edu

SEE ALSO

Websites:

http://maude.cs.uiuc.edu/
    Official Maude website

Mailing lists:

http://lists.cs.uiuc.edu/mailman/listinfo/maude-users
    A moderated list for the discussion of topics of general interest to all Maude users.

http://lists.cs.uiuc.edu/mailman/listinfo/maude-help
    Help list for questions about using Maude.

AUTHOR
This manual page was written by Scott Christley <schristley@mac.com> based upon the Maude help text.